<?php
require_once(__DIR__ . '/../models/CitationModel.php');
require_once(__DIR__ . '/../views/CitationView.php');
require_once(__DIR__ . '/../views/HeaderView.php');

class CitationController {

    public function index() {
        // Gestion du thème
        if (isset($_POST['theme'])) {
            $theme = $_POST['theme'];
            setcookie('theme', $theme, time() + (30 * 24 * 60 * 60), "/");
        } elseif (isset($_COOKIE['theme'])) {
            $theme = $_COOKIE['theme'];
        } else {
            $theme = 'dark-mode';
        }

        // Récupérer les données via le modèle
        $model = new CitationModel();
        $citationDuJour = $model->getCitationDuJour();
        $suggestions = $model->getSuggestions($citationDuJour);

        // Afficher la page via la vue
        HeaderView::display($theme);
        CitationView::display($citationDuJour, $suggestions);
    }
}
