<?php

require_once("quizEntity.php");
require_once("quizGateway.php");

class QuizModel {

    private QuizGateway $gateway;

    public function __construct(QuizGateway $gateway)
    {
        $this -> gateway = $gateway;
    }

    public function createQuiz(int $id_quiz, int $level, int $timer) : bool
    {
        $q = new QuizEntity($id_quiz, $level, $timer);
        return $this -> gateway -> create($q);
    }

    public function getQuiz(int $id_quiz) : ?QuizEntity
    {
        return $this -> gateway -> findQuizById($id_quiz);
    }

    public function updateLevelQuiz(int $id_quiz, int $level) : bool
    {
        $q = $this -> gateway -> findQuizById($id_quiz);

        if ($q)
        {
            $q -> setLevel($level);
            return $this -> gateway -> updateLevel($q);
        }
        return false;
    }

    public function updateTimerQuiz(int $id_quiz, int $timer) : bool
    {
        $q = $this -> gateway -> findQuizById($id_quiz);

        if ($q)
        {
            $q -> setTimer($timer);
            return $this -> gateway -> updateTimer($q);
        }
        return false;
    }

    public function deleteQuiz(int $id_quiz) : bool
    {
        return $this -> gateway -> delete($id_quiz);
    }

    public function getAllQuiz() : array
    {
        return $this -> gateway -> findAll();
    }

}